当前位置:论坛首页 > BUG提交 > Linux面板

【已解决】安装/更新软件显示安装成功实际上没反应

发表在 BUG提交2020-12-10 14:22 [复制链接] 11 153

[td]
名称
时间
upgrade[php-7.3]【已完成】耗时0秒
2020-12-10 14:19:19
upgrade[php-7.3]【已完成】耗时0秒
2020-12-10 14:19:10
upgrade[php-7.3]【已完成】耗时0秒
2020-12-10 14:16:34
upgrade[php-7.3]【已完成】耗时0秒
2020-12-10 14:11:36
安装[pureftpd-1.0]【已完成】耗时99秒
2020-12-10 14:09:40
安装[pureftpd-1.0]【已完成】耗时0秒
2020-12-01 01:47:00
安装[pureftpd-1.0]【已完成】耗时0秒
2020-11-28 22:34:12


执行日志:/bin/bash: install_soft.sh: No such file or directory

系统:CentOS 7.7.1908(Py3.8.1)

表现形式为:安装ftp应用无反应,更新php版本无反应,
消息列表显示更新完成。

服务器位于香港
使用道具 举报 只看该作者 回复
发表于 2021-1-18 18:38:18 | 显示全部楼层
终于解决了,问题找到了,步骤也许写清楚了
https://shadowq.com/1/5254.html
记录在这个帖子了
使用道具 举报 回复 支持 反对
发表于 2020-12-10 14:50:33 | 显示全部楼层
/www/server/panel/install/install_soft.sh

shell文件.png
您好, 您的面板上这个文件存在吗?如果不存在,请到服务器上执行下 下面的更新命令
  1. curl https://download.bt.cn/install/update_panel.sh|bash
复制代码



使用道具 举报 回复 支持 反对
发表于 2020-12-18 16:15:35 | 显示全部楼层
  1. 日志.zip (3.27 KB, 下载次数: 50)
复制代码
升级成功 但是面板不能访问了

提示
  1. Internal Server Error
  2. The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.
复制代码



使用道具 举报 回复 支持 反对
发表于 2020-12-18 16:24:06 | 显示全部楼层
大炮运维V587 发表于 2020-12-10 14:50
/www/server/panel/install/install_soft.sh

看一下呗,我回贴了
使用道具 举报 回复 支持 反对
发表于 2020-12-18 16:29:52 | 显示全部楼层
影子论坛 发表于 2020-12-18 16:24
看一下呗,我回贴了

面板无法访问报什么信息?到服务器ssh中执行下这个命令:
  1. curl 127.0.0.1:$(cat /www/server/panel/data/port.pl)/login
复制代码

截图看下在本机能不能访问面板信息
使用道具 举报 回复 支持 反对
发表于 2021-1-17 17:46:53 | 显示全部楼层
大炮运维V587 发表于 2020-12-18 16:29
面板无法访问报什么信息?到服务器ssh中执行下这个命令:

截图看下在本机能不能访问面板信息 ...

面板重启之后能访问了,主要是安装不了FTP还是没能解决
使用道具 举报 回复 支持 反对
发表于 2021-1-18 09:07:29 | 显示全部楼层
影子论坛 发表于 2021-1-17 17:46
面板重启之后能访问了,主要是安装不了FTP还是没能解决

还报这个错误吗?
/bin/bash: install_soft.sh: No such file or directory
使用道具 举报 回复 支持 反对
发表于 2021-1-18 18:03:51 | 显示全部楼层
大炮运维V587 发表于 2021-1-18 09:07
还报这个错误吗?
/bin/bash: install_soft.sh: No such file or directory


现在执行日志里面是这样,其他的应用都可以正常安装或者升级。
就ftp安装不了,以前安装过,后来卸载了,就再也装不上了。
找了下文件,发现ftp相关的文件都有。 删除之后点击安装 这写文件会被下载。

但是就安装成功 不显示 也不能用。
微信图片_20210118180247.png

使用道具 举报 回复 支持 反对
发表于 2021-1-18 18:09:02 | 显示全部楼层
影子论坛 发表于 2021-1-18 18:03
现在执行日志里面是这样,其他的应用都可以正常安装或者升级。
就ftp安装不了,以前安装过,后来卸载了 ...

看网上说的 是缺少openssl  然后执行yum install -y openssl-devel也报错

  1. Transaction Summary
  2. =============================================================================================================================================================================
  3. Upgrade  1 Package (+2 Dependent packages)

  4. Total size: 3.2 M
  5. Downloading packages:
  6. Running transaction check
  7. Running transaction test


  8. Transaction check error:
  9.   file /usr/include/openssl/asn1.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  10.   file /usr/include/openssl/bn.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  11.   file /usr/include/openssl/conf.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  12.   file /usr/include/openssl/crypto.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  13.   file /usr/include/openssl/des.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  14.   file /usr/include/openssl/dh.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  15.   file /usr/include/openssl/dsa.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  16.   file /usr/include/openssl/dtls1.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  17.   file /usr/include/openssl/ec.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  18.   file /usr/include/openssl/err.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  19.   file /usr/include/openssl/evp.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  20.   file /usr/include/openssl/modes.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  21.   file /usr/include/openssl/opensslconf.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  22.   file /usr/include/openssl/opensslv.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  23.   file /usr/include/openssl/pem.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  24.   file /usr/include/openssl/rand.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  25.   file /usr/include/openssl/rsa.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  26.   file /usr/include/openssl/sha.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  27.   file /usr/include/openssl/ssl.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  28.   file /usr/include/openssl/symhacks.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64
  29.   file /usr/include/openssl/tls1.h from install of openssl-devel-1:1.0.2k-21.el7_9.x86_64 conflicts with file from package bt-openssl102-1.0.2r-1.el7.x86_64

  30. Error Summary
  31. -------------
复制代码
使用道具 举报 回复 支持 反对
发表于 2021-1-18 18:43:24 | 显示全部楼层
大炮运维V587 发表于 2021-1-18 09:07
还报这个错误吗?
/bin/bash: install_soft.sh: No such file or directory

感谢大佬  已经解决了
使用道具 举报 回复 支持 反对
发表于 2021-1-19 10:02:17 | 显示全部楼层
影子论坛 发表于 2021-1-18 18:43
感谢大佬  已经解决了

看了您写的帖子,感觉应该是之前2020年12月份爆出的openssl漏洞问题,你那边升级了openssl导致的
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表